#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Linux /proc abstraction classes for Python 2
Summary(pl.UTF-8):	Klasy abstrakcji linuksowego /proc dla Pythona 2
Name:		python-linux-procfs
Version:	0.4.9
Release:	1
License:	GPL v2
Group:		Libraries/Python
Source0:	https://www.kernel.org/pub/software/libs/python/python-linux-procfs/%{name}-%{version}.tar.xz
# Source0-md5:	d8c96bcca75edd44970ea0f123bda823
URL:		https://rt.wiki.kernel.org/index.php/Tuna
BuildRequires:	python-modules >= 2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.612
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
%endif
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 abstractions to extract information from the Linux kernel
/proc files.

%description -l pl.UTF-8
Abstrakcje Pythona 2 do wydobywania informacji z plików /proc jądra
Linuksa.

%package -n python3-linux-procfs
Summary:	Linux /proc abstraction classes for Python 3
Summary(pl.UTF-8):	Klasy abstrakcji linuksowego /proc dla Pythona 3
Group:		Libraries/Python

%description -n python3-linux-procfs
Python 3 abstractions to extract information from the Linux kernel
/proc files.

%description -n python3-linux-procfs -l pl.UTF-8
Abstrakcje Pythona 3 do wydobywania informacji z plików /proc jądra
Linuksa.

%prep
%setup -q

%build
%if %{with python2}
%{__python} setup.py build --build-base build-2
%endif

%if %{with python3}
%{__python3} setup.py build --build-base build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
		--root=$RPM_BUILD_ROOT \
		--optimize=2

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install --skip-build \
		--root=$RPM_BUILD_ROOT \
		--optimize=2
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/procfs
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/python_linux_procfs-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-linux-procfs
%defattr(644,root,root,755)
%{py3_sitescriptdir}/procfs
%{py3_sitescriptdir}/python_linux_procfs-%{version}-py*.egg-info
%endif
%changelog
* Tue Nov 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-linux-procfs.git;a=log;h=master

* Tue Nov 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 145ce5e
- updated to 0.4.9

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6564b87
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2913293
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b5ca89d
- python 3.4
- release 2 (by relup.sh)

* Sun Oct 12 2014 Jakub Bogusz <qboosh@pld-linux.org> f5d96eb
- cleanup

* Sun Oct 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 41e9490
- new

